Skip to main content
PATCH
/
api
/
v1
/
bank-statements
/
{statement_id}
Update Bank Statement
curl --request PATCH \
  --url https://staging.cutmake.ai/api/v1/bank-statements/{statement_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "bankName": "<string>",
  "accountNumber": "<string>",
  "statementDate": "<string>",
  "fileUrl": "<string>"
}
'
{
  "id": "<string>",
  "bank_name": "<string>",
  "bankName": "<string>",
  "account_number": "<string>",
  "accountNumber": "<string>",
  "statement_date": "<string>",
  "statementDate": "<string>",
  "transactionDate": "<string>",
  "file_url": "<string>",
  "fileUrl": "<string>",
  "imported_at": "<string>",
  "importedAt": "<string>",
  "balance": 123,
  "amount": 123,
  "description": "<string>",
  "line_count": 123,
  "lineCount": 123,
  "lines": [
    {
      "id": "<string>",
      "bankStatementId": "<string>",
      "transactionDate": "<string>",
      "description": "<string>",
      "debit": 123,
      "credit": 123,
      "balance": 123,
      "amount": 123,
      "referenceNo": "<string>",
      "matchedTransferId": "<string>",
      "matchStatus": "<string>"
    }
  ]
}

Path Parameters

statement_id
string
required

Body

application/json
bankName
string | null
accountNumber
string | null
statementDate
string | null
fileUrl
string | null

Response

Successful Response

id
string
required
bank_name
string | null
bankName
string | null
account_number
string | null
accountNumber
string | null
statement_date
string | null
statementDate
string | null
transactionDate
string | null
file_url
string | null
fileUrl
string | null
imported_at
string | null
importedAt
string | null
balance
number | null
amount
number | null
description
string | null
line_count
integer | null
lineCount
integer | null
lines
BankStatementLine · object[] | null